Bug 209436 - CVE-2006-5174 copy_from_user information leak on s390
Summary: CVE-2006-5174 copy_from_user information leak on s390
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 3.0
Hardware: s390
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jan Glauber
QA Contact: Brian Brock
URL:
Whiteboard: impact=important,source=vendorsec,rep...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-05 12:25 UTC by Marcel Holtmann
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version: RHSA-2006-0710
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-19 12:46:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
testcase (413 bytes, text/x-csrc)
2006-10-13 16:38 UTC, Jan Glauber
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0710 normal SHIPPED_LIVE Important: kernel security update 2006-10-19 12:39:53 UTC

Description Marcel Holtmann 2006-10-05 12:25:28 UTC
Report from Martin Schwidefsky:

There is/has been a bug with copy_from_user on s390. The problem is that it does
not pad the kernel buffer with zeroes in case of a fault on the user address.
That allows a malicious user to read uninitialized kernel memory. The bug is
already fixed upstream:

http://www.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=52149ba6b0ddf3e9d965257cc0513193650b3ea8

Comment 2 Marcel Holtmann 2006-10-12 14:08:48 UTC
Unfortunatly a bug crept into the bug fix for 2.4. The arguments of the mvcle
that is supposed to clear the kernel buffer have been swapped for 64 bit (the
code is fine for 31 bit).


Comment 6 Ernie Petrides 2006-10-13 21:52:28 UTC
A fix for this problem has just been committed to the RHEL3 E9
patch pool this evening (in kernel version 2.4.21-47.0.1.EL).


Comment 11 Red Hat Bugzilla 2006-10-19 12:46:36 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0710.html


Comment 12 Ernie Petrides 2006-11-01 23:55:37 UTC
A fix for this problem has also been committed to the RHEL3 U9
patch pool this evening (in kernel version 2.4.21-47.3.EL).



Note You need to log in before you can comment on or make changes to this bug.